# Resources
This directory and its subdirectories contain extracts from Tibia.com and TibiaData.com responses,
trying to cover as many scenarios possible, to be used in unit tests.

## Character resources
- [tibiacom_deaths_complex.txt](character/tibiacom_deaths_complex.txt) - A character with many types of deaths, such as 
deaths by summons, players, assisted deaths, etcetera.
- [tibiacom_deletion.txt](character/tibiacom_deletion.txt) - A character scheduled for deletion.
- [tibiacom_former_names.txt](character/tibiacom_former_names.txt) - A character with former names.
- [tibiacom_full.txt](character/tibiacom_full.txt) - A full character response.
- [tibiacom_not_found.txt](character/tibiacom_not_found.txt) - A character not found page.
- [tibiacom_title_badges.txt](character/tibiacom_title_badges.txt) - A character with unlocked titles and badges.
- [tibiacom_no_badges_selected.txt](character/tibiacom_no_badges_selected.txt) - A character with no selected badges.
- [tibiacom_multiple_houses.txt](character/tibiacom_multiple_houses.txt) - A character with two houses.
- [tibiacom_truncated_deaths.txt](character/tibiacom_truncated_deaths.txt) - A character with too many deaths to be displayed.
- [tibiadata.json](character/tibiadata.json) - A character on TibiaData, also showing Pvp deaths with assists.
- [tibiadata_deleted.json](character/tibiadata_deleted.json) - A character scheduled for deletion on TibiaData.
- [tibiadata_not_found.json](character/tibiadata_not_found.json) - The response of a character not found on TibiaData.
- [tibiadata_unhidden.json](character/tibiadata_unhidden.json) - A character with visible account information and 
other characters on TibiaData.
- [tibiadata_deaths_summon.json](character/tibiadata_deaths_summon.json) - A character with deaths by summons on 
TibiaData.

## Guild resources
- [tibiacom_full.txt](guild/tibiacom_full.txt) - The content of a guild's page.
- [tibiacom_war.txt](guild/tibiacom_war.txt) - The content of a guild's page for a guild with an active war.
- [tibiacom_info_complete.txt](guild/tibiacom_info_complete.txt) - An extract of the information container of a guild
with description, guildhall and homepage.
- [tibiacom_info_disbanding.txt](guild/tibiacom_info_disbanding.txt) - An extract of the information container of a
guild with a disband condition
- [tibiacom_info_formation.txt](guild/tibiacom_info_formation.txt) - An extract of the information container of a guild
still in formation.
- [tibiacom_info_minimum.txt](guild/tibiacom_info_minimum.txt) - An extract of the information container of a guild
with the bare minimum (no description, no guildhall, no homepage)
- [tibiacom_list.txt](guild/tibiacom_list.txt) - The guild list of a world.
- [tibiacom_list_not_found.txt](guild/tibiacom_list_not_found.txt) - The guild list of a world that doesn't exist.
- [tibiacom_not_found.txt](guild/tibiacom_not_found.txt) - The page shown for a guild that doesn't exist.
- [tibiadata.json](guild/tibiadata.json) - A guild on TibiaData, without disband information and no invites.
- [tibiadata_disbanding.json](guild/tibiadata_disbanding.json) - A guild on TibiaData with a disband condition.
- [tibiadata_invited.json](guild/tibiadata_invited.json) - A guild on TibiaData with pending invites.
- [tibiadata_not_found.json](guild/tibiadata_not_found.json) - The response of a guild not found on TibiaData.
- [tibiadata_list.json](guild/tibiadata_list.json) - The guild list of a world on TibiaData.
- [tibiadata_list_not_found.json](guild/tibiadata_list_not_found.json) - The guild list of a world that doesn't exist on
 TibiaData
 
### War resources

- [tibiacom_empty.txt](guild/wars/tibiacom_empty.txt) - A guild with no active wars and no war history.
- [tibiacom_unactive_history.txt](guild/wars/tibiacom_unactive_history.txt) - A guild with no active wars and a previous war (enemy disbanded).
- [tibiacom_active_history.txt](guild/wars/tibiacom_active_history.txt) - A guild with an active war and two previous wars.

## House resources
- [tibiacom_full.txt](house/tibiacom_full.txt) - The content of a house's page
- [tibiacom_status_no_bids.txt](house/tibiacom_status_no_bids.txt) - The status string of a auction house with no bids.
- [tibiacom_status_rented.txt](house/tibiacom_status_rented.txt) - The status string of a rented house.
- [tibiacom_status_transfer.txt](house/tibiacom_status_transfer.txt) - The status string of a rented house that is set
 for transfer.
- [tibiacom_status_with_bids.txt](house/tibiacom_status_with_bids.txt) - The status string of a auctioned house with
 bids.
- [tibiacom_not_found.txt](house/tibiacom_not_found.txt) - The content of a page for a house not found.
- [tibiacom_list.txt](house/tibiacom_list.txt) - The house list of a world.
- [tibiacom_list_empty.txt](house/tibiacom_list_empty.txt) - The house list of a world, showing no houses.
- [tibiacom_list_not_found.txt](house/tibiacom_list_not_found.txt) - The house list of a world or town that doesn't 
exist.
- [tibiadata.json](house/tibiadata.json) - A house on TibiaData.
- [tibiadata_not_found.json](house/tibiadata_not_found.json) - The TibiaData response for a house that doesn't exist.
- [tibiadata_list.json](house/tibiadata_list.json) - A house list on TibiaData.
- [tibiadata_list_not_found.json](house/tibiadata_list_not_found.json) - The TibiaData response for a house list that
doesn't exist.

## Highscores resources
- [tibiacom_full.txt](highscores/tibiacom_full.txt) - The content of a correct highscore's page.
- [tibiacom_empty.txt](highscores/tibiacom_empty.txt) - The content of the highscores page of a nonexistent world.
- [tibiacom_no_results.txt](highscores/tibiacom_no_results.txt) - The content of the highscores page of a new world (no results shown).
- [tibiacom_experience.txt](highscores/tibiacom_experience.txt) - The content of an experience highscores page.
- [tibiacom_loyalty.txt](highscores/tibiacom_loyalty.txt) - The content of a loyalty highscores page.
- [tibiadata_full.json](highscores/tibiadata_full.json) - A highscores response from TibiaData.
- [tibiadata_empty.json](highscores/tibiadata_empty.json) - A highscores response from TibiaData of a nonexistent world.
- [tibiadata_experience.json](highscores/tibiadata_experience.json) - A response containing experience highscores from
TibiaData.
- [tibiadata_loyalty.json](highscores/tibiadata_loyalty.json) - A response containing loyalty highscores from TibiaData.

## Kill Statistics resources
- [tibiacom_full.txt](kill_statistics/tibiacom_full.txt) - The content of a correct kill statistics' page.
- [tibiacom_empty.txt](kill_statistics/tibiacom_empty.txt) - The content of the kill statistics's page of a 
nonexistent world or a unselected world.

## News resources
- [tibiacom_list.txt](news/tibiacom_list.txt) - The content of the news search page with results.
- [tibiacom_list_empty.txt](news/tibiacom_list_empty.txt) - The content of the news search page with no results.
- [tibiacom_list_error.txt](news/tibiacom_list_error.txt) - The content of the news search page with an error.
- [tibiacom_news.txt](news/tibiacom_news.txt) - The content of a news article.
- [tibiacom_news_ticker.txt](news/tibiacom_news_ticker.txt) - The content of a news ticker.

## Tournament resources
- [tibiacom_archive.txt](tournaments/tibiacom_archive.txt) - The content of the tournament details for an archived tournament.
- [tibiacom_leaderboard_current.txt](tournaments/tibiacom_leaderboard_current.txt) - The content of the leaderboards for an active tournament
- [tibiacom_leaderboard_ended.txt](tournaments/tibiacom_leaderboard_ended.txt) - The content of the tournament leaderboards for a previous tournament.
- [tibiacom_leaderboard_selector.txt](tournaments/tibiacom_leaderboard_selector.txt) - The content of the tournament leaderboards before selecting any options.
- [tibiacom_leaderboard_selector.txt](tournaments/tibiacom_leaderboard_selector.txt) - The content of the tournament leaderboards before selecting any options.
- [tibiacom_not_found.txt](tournaments/tibiacom_not_found.txt) - The content of the tournament section for a tournament that doesn't exist.
- [tibiacom_sign_up.txt](tournaments/tibiacom_sign_up.txt) - The content for the tournament's page for a upcoming tournament.
- [tibiacomnot_active.txt](tournaments/tibiacom_not_active.txt) - The content for the tournament's page when there's no running tournament.
 
## World resources
 - [tibiacom_online.txt](world/tibiacom_online.txt) - An online world on Tibia.com.
 - [tibiacom_offline.txt](world/tibiacom_offline.txt) - An offline world on Tibia.com.
 - [tibiacom_not_found.txt](world/tibiacom_not_found.txt) - The page shown for a world that doesn't exist.
 - [tibiacom_tournament.txt](world/tibiacom_tournament.txt) - The page shown for Tournament world.
 - [tibiacom_list_online.txt](world/tibiacom_list_online.txt) - The world list with all worlds online.
 - [tibiacom_list_offline.txt](world/tibiacom_list_offline.txt) - The world list with all worlds offline.
 - [tibiadata_online.json](world/tibiadata_online.json) - An online world on TibiaData.
 - [tibiadata_offline.json](world/tibiadata_offline.json) - An offline world on TibiaData.
 - [tibiadata_list_online.json](world/tibiadata_list_online.json) - The world list with worlds online on TibiaData.
 - [tibiadata_list_offline.json](world/tibiadata_list_offline.json) - The world list with worlds offline on TibiaData.

## Forum resources
- [tibiacom_announcement.txt](forums/tibiacom_announcement.txt) - An announcement post on Tibia.com.
- [tibiacom_announcement_not_found.txt](forums/tibiacom_announcement_not_found.txt) - The page for an announcement post that doesn't exist.
- [tibiacom_board.txt](forums/tibiacom_board.txt) - A forum board.
- [tibiacom_board_empty.txt](forums/tibiacom_board_empty.txt) - An empty forum board.
- [tibiacom_board_golden_frame.txt](forums/tibiacom_board_golden_frame.txt) - A forum board with golden frames on some posts.
- [tibiacom_board_invalid_page.txt](forums/tibiacom_board_invalid_page.txt) - A forum board on a page out of range.
- [tibiacom_cmpostarchive_initial.txt](forums/tibiacom_cmpostarchive_initial.txt) - The CM Post Archive's initial page, with no data selected.
- [tibiacom_cmpostarchive_no_pages.txt](forums/tibiacom_cmpostarchive_no_pages.txt) - The CM Post Archive with a few results in a single page.
- [tibiacom_cmpostarchive_no_results.txt](forums/tibiacom_cmpostarchive_no_results.txt) - The CM Post Archive with no results.
- [tibiacom_cmpostarchive_pages.txt](forums/tibiacom_cmpostarchive_pages.txt) - The CM Post Archive with multiple pages.
- [tibiacom_section.txt](forums/tibiacom_section.txt) - A forum section.
- [tibiacom_section_empty.txt](forums/tibiacom_section_empty.txt) - An empty forum section.
- [tibiacom_section_empty_board.txt](forums/tibiacom_section_empty_board.txt) - A forum section with an empty board. 
- [tibiacom_thread.txt](forums/tibiacom_thread.txt) - A forum thread.
- [tibiacom_thread_invalid_page.txt](forums/tibiacom_thread_invalid_page.txt) - A forum thread on a page out of range.
- [tibiacom_thread_not_found.txt](forums/tibiacom_thread_not_found.txt) - The page for forum thread that doesn't exist.

## Events resources
- [tibiacom_calendar.txt](events/tibiacom_calendar.txt) - The content of the event's calendar.

## Bazaar resources
- [tibiacom_auction_finished.txt](bazaar/tibiacom_auction_finished.txt) - The content of a finished auction.
- [tibiacom_auction_not_found.txt](bazaar/tibiacom_auction_not_found.txt) - The content of an auction that doesn't exist.
- [tibiacom_current.txt](bazaar/tibiacom_current.txt) - The content of the current auctions page.
- [tibiacom_current_all_filters.txt](bazaar/tibiacom_current_all_filters.txt) - The content of the current auctions page with all filters selected.
- [tibiacom_history.txt](bazaar/tibiacom_history.txt) - The content of the auction history page.
- [tibiacom_history_empty.txt](bazaar/tibiacom_history_empty.txt) - The content of the auction history page with no entries.

 
 ## Other resources
 - [tibiacom_about.txt](tibiacom_about.txt) - The 'About Tibia' section on Tibia.com, used to provide invalid content 
 for tests.
